Bug 163984

Summary: [PATCH] mail/opendkim: update to 2.4.3
Product: Ports & Packages Reporter: Jaap Akkerhuis <jaap>
Component: Individual Port(s)Assignee: Michael Scheidell <scheidell>
Status: Closed FIXED    
Severity: Affects Only Me CC: umq
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
opendkim-2.4.3.patch
none
pr_163984_mail_opendkim.txt none

Description Jaap Akkerhuis 2012-01-10 10:50:10 UTC
- Update to 2.4.3

Small correction in Makefile (space was used instead of TAB)

Port maintainer (umq@ueo.co.jp) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2012-01-10 10:50:18 UTC
Maintainer of mail/opendkim,

Please note that PR ports/163984 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/163984

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-01-10 10:50:20 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2012-01-15 15:36:07 UTC
State Changed
From-To: feedback->open

Maintainer has replied with updated patch.
Comment 4 Michael Scheidell freebsd_committer 2012-01-19 10:58:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it
Comment 5 Michael Scheidell freebsd_committer 2012-01-19 13:56:29 UTC
State Changed
From-To: open->feedback

Jaap: 

I hesitate in removing this section in the Makefile unless you can tell me on which ARCH and/or OSVERSION this started to  
work. 

-. if ${CC} == "clang" 
-BROKEN=           ARLIB option does not compile with clang 
-. endif
Comment 6 Michael Scheidell 2012-01-19 17:54:52 UTC
Hirohisa Yamaguchi:

I propose the following.
two minor changes to Makefile.
#1, lets leave Previous%20 Releases in there as the fallback master site (so, when 2.4.4 come out, and 2.4.3 is move, make 
fetch doesn't break)
#2, I hesitate taking out the test for clang until I know what OSVERSION this was fixed in.
  if arlib doesn't compile in 900044 amd64 (and I don't think it does), when was this fixed?


-- 
Michael Scheidell, CTO
SECNAP Network Security Corporation
(561) 999-5000 scheidell@secnap.net
http://www.secnap.com/

______________________________________________________________________
This email has been scanned and certified safe by SpammerTrap(r). 
For Information please see http://www.spammertrap.com/
______________________________________________________________________  
  
Comment 7 Jaap Akkerhuis 2012-01-21 21:31:08 UTC
Apparently didn't hit the made it to the bug tracking system, so I resend it.

	jaap

  To: scheidell@FreeBSD.org
  cc: umq@ueo.co.jp
  Subject: Re: ports/163984: [PATCH] mail/opendkim: update to 2.4.3
  Date: Thu, 19 Jan 2012 15:45:18 +0100

Just after I send my update out, there was an update from 2.4.1
2.4.2 which apparently had this line added. The update I send was
an update from version 2.4.1 to 2.4.2. It seems these therefore
that these updates conflict in this respect. I suggest to keep this
line in because the maintainer wants it.

Regards,

        jaap

> Synopsis: [PATCH] mail/opendkim: update to 2.4.3
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: scheidell
> State-Changed-When: Thu Jan 19 13:56:29 UTC 2012
> State-Changed-Why: 
> Jaap:
> 
> I hesitate in removing this section in the Makefile unless you
> can tell me on which ARCH and/or OSVERSION this started to work.
> 
> -. if ${CC} == "clang"
> -BROKEN=           ARLIB option does not compile with clang
> -. endif
> 
    
    
    http://www.freebsd.org/cgi/query-pr.cgi?pr=163984
Comment 8 Hirohisa Yamaguchi 2012-01-22 04:08:44 UTC
Hi,

At Thu, 19 Jan 2012 12:54:52 EST,
Scheidell <scheidell@secnap.net> wrote:
| I propose the following.
| two minor changes to Makefile.
| #1, lets leave Previous%20 Releases in there as the fallback master
|     site (so, when 2.4.4 come out, and 2.4.3 is move, make fetch
|     doesn't break)

That's a good idea.
 # 2.5.0 is in its Beta-phase and upcoming.


| #2, I hesitate taking out the test for clang until I know what
|     OSVERSION this was fixed in.  if arlib doesn't compile in 900044
|     amd64 (and I don't think it does), when was this fixed?

I thought it was clang version that break compilation.
In certain versions of clang, the linker's include order is different
from GCC's; they include /usr/include/ar.h instead of ar.h from
current directory.
I've written a patch for the problem once, but in my environments
(FreeBSD 8.x with lang/clang or lang/clang-devel) the error don't
occur these days.  So I've cleared BROKEN statement.
The upstream code is not updated and if there's any environment that
stops compilation, I agree with you not to delete broken statement.


Regards,
--

	Hirohisa Yamaguchi
	  umq@ueo.co.jp
Comment 9 Michael Scheidell freebsd_committer 2012-01-22 11:49:43 UTC
State Changed
From-To: feedback->closed

Commited with changes, Thanks
Comment 10 dfilter service freebsd_committer 2012-01-22 11:50:15 UTC
scheidell    2012-01-22 11:49:11 UTC

  FreeBSD ports repository

  Modified files:
    mail/opendkim        Makefile distinfo 
  Log:
  - update to 2.4.3 [1]
  - add in secondary master path [2]
  
  PR:             ports/163984 [1]
  Submitted by:   Jaap Akkerhuis <jaap@NLnetLabs.nl> [1]
  Reviewed by:    scheidell [2]
  Approved by:    maintainer, gabor (mentor)
  
  Revision  Changes    Path
  1.11      +3 -2      ports/mail/opendkim/Makefile
  1.8       +2 -2      ports/mail/opendkim/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"